FloatWritable (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class FloatWritable

    java.lang.Object
      org.apache.hadoop.io.FloatWritable

All Implemented Interfaces:
  Comparable, Writable, WritableComparable

    public class FloatWritable

extends Object
implements WritableComparable

A WritableComparable for floats.

Nested Class Summary
`static class` | `FloatWritable.Comparator` A Comparator optimized for FloatWritable.

Constructor Summary
`FloatWritable()`
`FloatWritable(float value)`

Method Summary
`int` | `compareTo(Object o)` Compares two FloatWritables.
`boolean` | `equals(Object o)` Returns true iff `o` is a FloatWritable with the same value.
`float` | `get()` Return the value of this FloatWritable.
`int` | `hashCode()`
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `set(float value)` Set the value of this FloatWritable.
`String` | `toString()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FloatWritable

    public FloatWritable()

### FloatWritable

    public FloatWritable(float value)

Method Detail

### set

    public void set(float value)

  Set the value of this FloatWritable.

### get

    public float get()

  Return the value of this FloatWritable.

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Returns true iff `o` is a FloatWritable with the same value.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Object o)

  Compares two FloatWritables.

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation